Subject: [Tools-team] Re: 16ng analysis document revision

From: gabriel montenegro <[email-masked]>
Date: Wed, 10 Jan 2007 11:25:56 -0800 (PST)

[cc-ing tools-team]

Hmmm... I got no such warnings at all from idnits 1.123 (same version you used)
using the old RFC 3978 IPR statement.
Can't explain why. 

I'm cc-ing the tools-team alias in case they know of a related issue and fix.
If we don't hear back from them within a day or so, I'd suggest you go ahead and
submit. Next revision (after Feb 1) can use the new boilerplate.

tnx,

-gabriel

----- Original Message ----
From: Syam Madanapalli <[email-masked]>
To: gabriel montenegro <[email-masked]>
Cc: Daniel Park <[email-masked]>
Sent: Wednesday, January 10, 2007 10:52:34 AM
Subject: Re: 16ng analysis document revision

Thank you Gabriel.
I am now consistently getting the following but the the xml2rfc is not
recognizing RFC 4748 as of now. Shall I go ahead and submit
with RFC 3978 IPR statement?

Regards,
Syam

idnits 1.123

tmp/draft-ietf-16ng-ipv6-link-model-analysis-02.txt:

  Checking nits according to http://www.ietf.org/ID-Checklist.html:

    Checking conformance with RFC 3978/3979 boilerplate...

  - This document has ISOC Copyright according to RFC 3978, instead of the
    newer IETF Trust Copyright according to RFC 4748.  You should consider
    updating it; the new Copyright statement will be required from February
    1st, 2007
  - This document has an original RFC 3978 Section 5.5 Disclaimer, instead of
    the newer disclaimer which includes the IETF Trust according to RFC 4748.
    You should consider updating it; the new disclaimer will be required from
    February 1st, 2007

  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
    Nothing found here (but these checks do not cover all of
    1id-guidelines.txt yet).

  Miscellaneous warnings:
    None.

  Experimental warnings:
    None.

    No nits found.

On 1/10/07, gabriel montenegro <[email-masked]> wrote:
>
> Syam,
>
> The offending line was #400 in a diagram. Turns out other diagrams also went
> beyond the 70 characters. To bring them back in I replaced "To Internet"
> with
> "Internet" in the diagrams and now ID nits passes cleanly.
>
> I attach the resultant xml and .txt files.
>
> I used xml2rfc from:
>
>     http://xml.resource.org/
>
> I used IDnits from:
>
>     http://tools.ietf.org/tools/idnits/
>
> The output (verbose) was:
>
> idnits 1.123
>
> tmp/draft-ietf-16ng-ipv6-link-model-analysis-02.txt.txt:
>
>
>
>  Checking nits according to
> http://www.ietf.org/ID-Checklist.html:
>
>  Checking conformance with RFC 3978/3979 boilerplate...
>
>  the boilerplate looks good.
>
>  No nits found.
>
>  Checking nits according to
> http://www.ietf.org/ietf/1id-guidelines.txt:
>  Nothing found here (but these checks do not cover all of
>  1id-guidelines.txt yet).
>
>  Miscellaneous warnings:
>  None.
>
>  Experimental warnings:
>  None.
>
>  No nits found.
>
> -gabriel
>

_______________________________________________
Tools-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-team

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:39:21 +0100

Hi Syam, Gabriel,

> using the old RFC 3978 IPR statement.

That's odd.  You should have been warned.  In which environment are you
running idnits (OS and version of awk, in particular)?

> submit. Next revision (after Feb 1) can use the new boilerplate.

Work is under way to release a new version of xml2rfc which will emit the new
boilerplate, and if you use the pre-release version 1.32pre2 of xml2rfc you
will also get the correct boilerplate.  But even so, you're fine submitting
with the old boilerplate till the cutoff on February 1st.

	Henrik

> ------------------------------------------------------------------------
>